Bug 1009817 (CVE-2013-4361)

Summary: CVE-2013-4361 Kernel: Xen: Xsa-66: information leak through fbld instruction emulation
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: drjones, imammedo, mrezanin, pbonzini, rkrcmar, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130930,reported=20130917,source=xen,cvss2=1.0/AV:L/AC:H/Au:S/C:P/I:N/A:N,rhel-5/kernel-xen=notaffected,rhel-6/kernel=notaffected,rhel-7/kernel=notaffected,mrg-2/realtime-kernel=notaffected,fedora-all/xen=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-30 13:10:26 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1013748    
Bug Blocks: 1009366    

Description Prasad J Pandit 2013-09-19 04:31:26 EDT
The emulation of the fbld instruction (which is used during I/O
emulation) uses the wrong variable for the source effective address.
As a result, the actual address used is an uninitialised bit pattern
from the stack.

A malicious guest might be able to find out information about the
contents of the hypervisor stack, by observing which values are
actually being used by fbld and inferring what the address must have
been. Depending on the actual values on the stack this attack might
be very difficult to carry out.

A malicious guest could use this flaw to access memory bytes related to other
guests.
Comment 1 Prasad J Pandit 2013-09-19 04:38:19 EDT
Statement:

This issue does not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the versions of the Linux kernel package as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as it does not have support for Xen hypervisor.
Comment 2 Prasad J Pandit 2013-09-19 04:40:23 EDT
Acknowledgement:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 5 Vincent Danen 2013-09-30 13:10:26 EDT
This is now public:

http://www.openwall.com/lists/oss-security/2013/09/30/3
Comment 6 Vincent Danen 2013-09-30 13:14:29 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1013748]